{
  description = "ghc with plugins for aoc";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-20.09";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem
      (system:
        let pkgs = nixpkgs.legacyPackages.${system}; in
        {
          defaultPackage = pkgs.haskellPackages.ghcWithPackages
            (hpkgs: with hpkgs; [
              vector
            ]);
        });
}
